Docs / Using the API

Domains

List the domains belonging to a team.

  1. Endpoint
  2. Query parameters
  3. Example request
  4. Example response

Returns the domains belonging to a team.

Endpoint

GET /api/{team}/domains

Required ability: domains:read

Query parameters

Parameter Type Default Maximum Description
per_page integer 20 50 Number of objects per page.
page integer 1 N/A The page to retrieve.

Example request

curl "https://rocketeersapp.com/api/your-team/domains?per_page=20" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Accept: application/json"

Example response

{
  "data": [
    {
      "id": 1,
      "name": "apollo",
      "fqdn": "apollo.com",
      "wildcard": false,
      "use_www": true,
      "https_redirect": true,
      "expires_at": "2027-01-15T00:00:00+00:00",
      "created_at": "2026-01-16T10:00:00+00:00"
    },
    {
      "id": 2,
      "name": "gemini",
      "fqdn": "gemini.io",
      "wildcard": true,
      "use_www": false,
      "https_redirect": true,
      "expires_at": null,
      "created_at": "2026-02-03T14:05:00+00:00"
    }
  ],
  "links": {
    "first": "https://rocketeersapp.com/api/your-team/domains?page=1",
    "last": "https://rocketeersapp.com/api/your-team/domains?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "per_page": 20,
    "to": 12,
    "total": 12,
    "path": "https://rocketeersapp.com/api/your-team/domains"
  },
  "results": 12,
  "served_in": "8.54ms"
}